Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReplyMarkupRemoveKeyboard

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReplyMarkup
it.tdlight.jni.TdApi.ReplyMarkupRemoveKeyboard

Enclosing class:
  TdApi

public static final class TdApi.ReplyMarkupRemoveKeyboard extends TdApi.ReplyMarkup
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isPersonal`
True, if the keyboard is removed only for the mentioned users or the target user of a reply.

## Constructor Summary

Constructors
Constructor
Description
`ReplyMarkupRemoveKeyboard()`
Instructs application to remove the keyboard once this message has been received.
`ReplyMarkupRemoveKeyboard(boolean isPersonal)`
Instructs application to remove the keyboard once this message has been received.
`ReplyMarkupRemoveKeyboard(DataInput input)`
Instructs application to remove the keyboard once this message has been received.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isPersonal

public boolean isPersonal
True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard()
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard(boolean isPersonal)
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

Parameters:
  `isPersonal` - True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### ReplyMarkupRemoveKeyboard

public ReplyMarkupRemoveKeyboard(DataInput input) throws IOException
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`